﻿.box-text-tooltip {
    display: inline-block;
    line-height: 1.3em;
    vertical-align: middle;
    font-size: 0;
    position: relative;
}

    .box-text-tooltip .text-tooltip__icon {
        font-size: 20px;
        line-height: 1;
        color: #2465C0;
        display: inline-block;
        cursor: pointer;
        transition: all .3s;
        -webkit-transition: all .3s;
        -moz-transition: all .3s;
        -o-transition: all .3s;
    }

    .box-text-tooltip .image-tooltip__icon:hover {
        color: #3880de;
    }

    .box-text-tooltip .container-text-tooltip {
        max-width: 600px;
        max-height: 300px;
        border-radius: 2px;
        position: absolute;
        box-sizing: content-box;
        z-index: 999;
        top: 24px;
        background-color: #2465c0;
        padding: 8px;
        color: #fff;
        display: none;
        min-width: 220px;
        font-family: raleway;
        text-align: left;
    }

        .box-text-tooltip .container-text-tooltip h4 {
            margin: 0;
            font-weight: bold;
            font-size: 14px;
            padding: 2px 0;
            font-style: oblique;
            color: #fff;
        }

        .box-text-tooltip .container-text-tooltip p {
            color: #fff;
            font-size: 12px;
            margin: 0;
        }

.text-tooltip-valign-top .container-text-tooltip {
    top: initial !important;
    bottom: 26px !important;
}

.text-tooltip-align-center .container-text-tooltip {
    left: 50%;
    transform: translateX(-50%);
    -webkit-transform: translateX(-50%);
    -moz-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    -o-transform: translateX(-50%);
}

.text-tooltip-align-left .container-text-tooltip {
    right: 0;
}

.text-tooltip-align-right .container-text-tooltip {
    left: 0;
}
